
# /****************************************************************************
# *
# *    (C) Copyright 1989-2016 Trend Micro, Inc.
# *    All Rights Reserved.
# *
# *    This program is an unpublished copyrighted work which is proprietary
# *    to Trend Micro, Inc. and contains confidential information that is not
# *    to be reproduced or disclosed to any other person or entity without
# *    prior written consent from Trend Micro, Inc. in each and every instance.
# *
# *    WARNING:  Unauthorized reproduction of this program as well as
# *    unauthorized preparation of derivative works based upon the
# *    program or distribution of copies by sale, rental, lease or
# *    lending are violations of federal copyright laws and state trade
# *    secret laws, punishable by civil and criminal penalties.
# *
# * ---------------------------------------------------------------------------
# * Title: critical patch deploy script
# * Project: SPLX 3.0
# * Revision: 
# * Author: 
# * Date: 
# * Description: 
# * Log: 
# *
# ***************************************************************************** 

echo "Check system ......"

is_32bit=-1
uname_i=`uname -m`
arch=""
platform=""
if [ "${uname_i}" = "i686" -o "${uname_i}" = "i386" -o "${uname_i}" = "i586" ]; then
    is_32bit=1
    arch="i686"
else
    is_32bit=0
    arch="x86_64"
fi

key_bin="/sbin/yast"
is_suse=1

if [ -f ${key_bin} ]; then
    is_suse=1
    platform="SuSE"
else
    is_suse=0
fi

is_centOS6=0
is_platformRH6=0
rhel_release="/etc/redhat-release"
if [ $is_suse -ne 1 ]; then
    query_is_centOS=`cat $rhel_release | grep CentOS`
    ret_centOS="$?"
    if [ $ret_centOS -eq 0 ]; then
        centos_release=$(awk '(NR > 0) && ($4 >= 6) { print $4 }' $rhel_release)
        centos_release_2=$(awk '(NR > 0) && ($3 >= 6) { print $3 }' $rhel_release)
        if [ $centos_release ] || [ $centos_release_2 ] ; then
            is_centOS6=1
            platform="RedHat6"
            is_platformRH6=1
        fi
    fi
fi

if [ $is_suse -ne 1 -a $is_centOS6 -ne 1 ]; then
    release=$(awk '(NR > 0) && ($7 >= 6) { print $7 }' $rhel_release)
    if [ $release ]; then
        platform="RedHat6"
        is_platformRH6=1
    else
        platform="RedHat"
    fi
fi

echo "Starting to deploy critical patch. Please wait."

# check if this script is run by root
if [ $UID -ne 0 ] ; then
    echo "You must be logged in as root to run this script."
    exit 1
fi

# check if initial SProtectLinux is installed
query_splx=`rpm -q SProtectLinux-3.0`
is_splx_existed=$?

if [ $is_splx_existed -ne 0 ] ; then
    echo "Please install ServerProtect for Linux 3.0 before installing this critical patch."
    exit 1
else
    echo "The current installation of ServerProtect on your system is $query_splx."
fi

query_splx_p6=`rpm -q splx-3.0-sp1-patch6`
is_splx_p6_existed=$?
if [ $is_splx_p6_existed -ne 0 ] ; then
    echo "Please install SPLX 3.0 Patch6 for sp1 before installing this critical patch."
    exit 1
fi

# Stop SPLX   
/etc/init.d/splx stop

#----------------------1473

if [ -f /opt/TrendMicro/SProtectLinux/SPLX.WebUI/cgi-bin/viewlog.cgi ] ; then
        cp -f /opt/TrendMicro/SProtectLinux/SPLX.WebUI/cgi-bin/viewlog.cgi /opt/TrendMicro/SProtectLinux/SPLX.WebUI/cgi-bin/viewlog.cgi.bak.cp1473
fi

cp -f ./$platform/$arch/viewlog.cgi /opt/TrendMicro/SProtectLinux/SPLX.WebUI/cgi-bin/viewlog.cgi

ldconfig
# Start SPLX
/etc/init.d/splx start
echo "Successfully deployed critical patch."
